Bug 10369 - configure flag --without-dmapi is not honoured
configure flag --without-dmapi is not honoured
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-10 20:52 UTC by Chan Min Wai
Modified: 2014-09-03 07:09 UTC (History)
2 users (show)

See Also:


Attachments
patch to build without dmapi from KaiBlin (554 bytes, patch)
2014-01-10 20:52 UTC, Chan Min Wai
no flags Details
patch to build without dmapi from me (3.38 KB, patch)
2014-01-10 20:53 UTC, Chan Min Wai
no flags Details
patch for 4.1, cherry-picked from master (4.64 KB, patch)
2014-08-18 21:04 UTC, Michael Adam
metze: review+
Details
patch for 4.0, cherry-picked from master (4.64 KB, patch)
2014-08-19 05:26 UTC, Stefan Metzmacher
metze: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chan Min Wai 2014-01-10 20:52:47 UTC
Created attachment 9568 [details]
patch to build without dmapi from KaiBlin

With the latest git built --without-dmapi didn't work.

It still check for the whole dmapi and build with it.

Patch included. 
There are 2 version.

One by Kai Blin
And another by me as Kai Blin said mine version are intrusive and it even stop the dmapi header checking :)
Comment 1 Chan Min Wai 2014-01-10 20:53:14 UTC
Created attachment 9569 [details]
patch to build without dmapi from me
Comment 2 Chan Min Wai 2014-01-12 04:26:03 UTC
Comment on attachment 9568 [details]
patch to build without dmapi from KaiBlin

Wrong file type when submit with initial bugs report.
Comment 3 Chan Min Wai 2014-01-21 15:08:32 UTC
Any update?
Comment 4 Michael Adam 2014-08-18 21:04:50 UTC
Created attachment 10203 [details]
patch for 4.1, cherry-picked from master

This patch just went into master.
I noticed only when I already had this patch
essentially finished that there is aready a bug
report with two proposed patches.

I looked at all the patches and decided to
keep this one.
This patch is more similar to patch by Chan Min Wai than to
Kai's minimal patch, in that it correctly skips all
dmapi checks if --without-dmapi is specified, but it also
establishes a more complete logging / error reporting.
It also treats the checks with the same pattern as for
other cases of --with(out)-foo checks we have like
cluster-support, ads, etc..

With this change, all three cases "--with-dmapi", "--without-dmapi" and unspecified (==auto) yield the desired results for me whether a dmapi library is installed or not.

Cheers - Michael
Comment 5 Stefan Metzmacher 2014-08-19 05:26:27 UTC
Created attachment 10204 [details]
patch for 4.0, cherry-picked from master
Comment 6 Michael Adam 2014-08-19 09:31:30 UTC
Karolin,

please pick for 4.1.NEXT and 4.0.NEXT

Thanks - Michael
Comment 7 Karolin Seeger 2014-09-01 18:49:07 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 8 Karolin Seeger 2014-09-03 07:09:15 UTC
Pushed to both branches.
Closing out bug report.

Thanks!